using FruitBank.Common.Dtos;

namespace FruitBank.Common.Models.SignalRs;

public class SignalRMessageToClientWithText<T>
{
    public SignalRMessageToClientWithText()
    {}
    public SignalRMessageToClientWithText(string? message, T? content) : this()
    {
        Message = message;
        Content = content;
    }

    public string? Message { get; set; }
    public T? Content { get; set; }
}